ImmunoBase | R Documentation

## Immune-disease associated variants, regions and genes from ImmunoBase (hg19)

### Description

This dataset contains data obtained from ImmunoBase. For each of 20 immune-diseases, its associated variants, regions, and nearby genes (within 500kb) are stored.

### Usage

    data(ImmunoBase)

### Value

a list with 5 components:

- `disease`: a character of disease name

- `variants`: an object of class "GRanges", storing genomic locations of associated variants plus their significance and odd ratios

- `regions`: an object of class "GRanges", storing genomic locations of associated regions

- `genes_variants`: a named vector for nearby genes within 500kb of associated variants; the element names are gene symbols, the element values for the shortest distance to all associated variants

- `genes_regions`: a named vector for nearby genes within 500kb of associated regions; the element names are gene symbols, the element values for the shortest distance to all associated regions

### Examples

    ## Not run:
    ImmunoBase <- xRDataLoader(RData.customised='ImmunoBase')
    names(ImmunoBase)
    ImmunoBase$AS$disease
    ImmunoBase$AS$variants
    head(ImmunoBase$AS$genes_variants)
    head(ImmunoBase$AS$genes_regions)

    ## End(Not run)